require "thor"
require "json"
require_relative "./helpers/environment_builder"

module Cadbury
  class Env < Thor
    desc "set [environment-name]", "Creates a new environment or updates the existing environment"
    def set(name)
      EnvironmentBuilder.new.create_environment name
    end

    desc "get 'or' get [environment-name]", "Gets all environments or the asked environment"
    def get(name = nil)
      if name.nil?
        puts JSON.pretty_generate EnvironmentBuilder.new.list_environments
      else
        puts JSON.pretty_generate EnvironmentBuilder.new.get_environment(name: name)
      end
    end

    desc "delete [environment-name]", "Deletes the environment"
    def delete(name)
      EnvironmentBuilder.new.delete_environment name
    end
  end
end
