require "thor"
require "json"
require_relative "./helpers/request_builder"

module Cadbury
  class Request < Thor
    desc "set [request-name]", "Creates a new request or updates the existing request"
    def set(name)
      RequestBuilder
        .new(name: name, env: options[:env])
        .create_request
        .save
    end

    desc "get 'or' get [environment-name]", "Gets all environments or the asked environment"
    def get(name = nil)
      if name.nil?
        puts JSON.pretty_generate RequestBuilder.new(env: options[:env]).get_all
      else
        puts JSON.pretty_generate RequestBuilder.new(name: name).get_by_name name
      end
    end

    desc "delete [environment-name]", "Deletes the environment"
    def delete(name)
      # EnvironmentBuilder.delete_environment(name)
    end
  end
end
